if not GroupAIStateBase or not UnitNetworkHandler then
    return
end

local GroupAIStateBase_convert_hostage_to_criminal_original = GroupAIStateBase.convert_hostage_to_criminal

function GroupAIStateBase:convert_hostage_to_criminal(unit, ...)
    GroupAIStateBase_convert_hostage_to_criminal_original(self, unit, ...)  
    if alive(unit) then 
        unit:contour():removeAll()
    end
end

local UnitNetworkHandler_mark_minion_original = UnitNetworkHandler.mark_minion

function UnitNetworkHandler:mark_minion(unit, minion_owner_peer_id, ...)
    UnitNetworkHandler_mark_minion_original(self, unit, minion_owner_peer_id, ...) 
    if alive(unit) then
        unit:contour():removeAll()
	end
end

function ContourExt:removeAll(sync)
    if not self._contour_list or not type(self._contour_list) == 'table' then 
        return 
    end
    for id, setup in ipairs(self._contour_list) do 
        self:remove(setup.type, sync) 
    end
end

